Current Position:Home > Pear PHP Warnings [SOLVED]

Pear PHP Warnings [SOLVED]

Update:11-30Source: network consolidation
Advertisement
I recently built a web-server and followed the arch wiki docs to complete the LAMP installation and everything ran smoothly.
However, now when I upgrade pear I get the following warnings:
# pear upgrade
PHP Warning:  Module 'mcrypt' already loaded in Unknown on line 0
PHP Warning:  Module 'mysql' already loaded in Unknown on line 0
anyone else run into this glitch?
Last edited by monash (2011-11-11 03:17:42)

The Best Answer

Advertisement
Many thanks SidK!
I checked /etc/php/conf.d and found i had left behind an old custom.ini containing:
extension=mcrypt.so
extension=mysql.so
removed the /etc/php/conf.d/custom.ini and all is well with pear upgrade :-)
  • Pear PHP Warnings [SOLVED] Update:11-30

    I recently built a web-server and followed the arch wiki docs to complete the LAMP installation and everything ran smoothly. However, now when I upgrade pear I get the following warnings: # pear upgrade PHP Warning:  Module 'mcrypt' already loaded in

  • Locale warnings [solved] Update:11-30

    Pacman (3.03) and some applications give this warning - warning: current locale is invalid; using default "C" locale Running "locale -a" shows this locale: Cannot set LC_CTYPE to default locale: No such file or directory locale: Cannot

  • Interactive Reporting:Error reading data of InfoProvider /CRMBW/CSAL_C01 Update:11-30

    Hi Forum, I configured an interactive reporting to read interaction record data. When I execute the reporting, I am getting the following error message:               +Error reading the data of InfoProvider /CRMBW/CSAL_C01+              +No destinati

  • [Solved] Deprecated warnings while updating linux Update:11-30

    Today while updating linux to its 3.6.10-1 version I got these warnings. >>> Updating module dependencies. Please wait ... >>> Generating initial ramdisk, using mkinitcpio. Please wait... ==> Building image from preset: 'default' ->

  • [solved] acroread: gtk-warnings Update:11-30

    Hi, I've changed from i686 to x86-64. Everything works fine (for what I've seen since yesterday )except acroread. I receive a lot of gtk-warnings. It seems that acroread can't manage the 64 bit libraries (acroread:478): Gtk-WARNING **: /usr/lib/gtk-2

  • [SOLVED] Xorg 1.8 Warnings Update:10-11

    Hey all, This isn't a huge issue, as everything is working fine (afaik), but after upgrading to Xorg1.8, i started getting the following warning when starting X: [ 797.336] (WW) The directory "/usr/share/fonts/OTF/" does not exist. If anyone has

  • SOLVED: SQL Developer Code Compilation with warnings Update:11-30

    Hi, I think I found one bug in sql developer. I have one pl/sql package, that contains a lot of code. In the previous SQL Developer releases (prior to 1.2) when you compile the code, first appears the errors and then the warnings. Because of some typ

  • [SOLVED] HHD warnings while booting Update:11-30

    Hi, i get these messages while booting and they destroy the "look" of the normal boot messages: [ 5.068830] scsi 8:0:0:0: Direct-Access WD 5000KS External 1.06 PQ: 0 ANSI: 0 [ 5.068888] scsi 10:0:0:0: Direct-Access WD 10EAVS External 1.75 PQ: 0

  • [solved] creating low battery warnings Update:11-30

    i use i3 as my window manager, and i'd like to create some low battery warnings. i have laptop-mode-tools and acpid installed. what's the best way to generate low battery warnings? i was thinking of simply running i3-nagbar with a message when the ba

  • [SOLVED] Silencing particular pacman warnings? Update:11-30

    Currently, pacman does this: [[email protected] ~]# pacman -Su :: Starting full system upgrade... warning: kdepim-akregator: ignoring package upgrade (4.4.9-1 => 4.7.0-1) warning: kdepim-kmail: ignoring package upgrade (4.4.9-1 => 4.7.0-1) warning: kdepim